%define packname qAnalyst
%global packver 0.6
# Note that some R packages do not use packrel
%define packrel 4

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          0.fc41.lc
Source0:          http://cran.r-project.org/src/contrib/Archive/%{packname}_%{packver}.%{packrel}.tar.gz
License:          GPLv2+
URL:              https://cran.r-project.org/src/contrib/Archive/%{packname}/
Summary:          Control Charts, Capability and Distribution Identification
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    R-devel tex(latex) texlive-inconsolata R-alr3 R-SuppDists R-car
BuildArch:        noarch
Requires:         R-core
Group: Applications/Engineering

%description
R package:
Control charts for variables and attributes according to Douglas C. Montgomery Introduction to Statistical Quality Control book, 
Capability analysis for normal and non - normal distributions and Distributions Identification

%define debug_package %{nil}

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}
cp -p %{packname}/README %{buildroot}%{_libdir}/R/library/%{packname}

%check
# We have to use --no-install because we don't have all of the suggested
# dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NAMESPACE
%doc %{_libdir}/R/library/%{packname}/README
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/help

%changelog
* Wed Apr 24 2024 Stuart Raeburn <raeburn@loncapa.org> (0.6.4-0)
- Initial build for R 4.4.1 

